Subject: bug#24401: python-shell-completion-native-try returns incorrect results with python 3.5.2

From: Clément Pit--Claudel <[email-masked]>
Date: Wed, 26 Oct 2016 23:35:57 -0400

Hi Lukas,

Thanks for the patch!

I prepared a similar one, but I didn't end up pushing it, because the bug has a more complex root cause.  Essentially, the issue is that completion doesn't work for empty strings in when python-shell-interpreter points to Python 3 (see also the original bug report, #22897).

A good way to experiment with this is to copy the completion code to a separate file (I attached it) and run python -i completion.py.  In python 2.7, pressing TAB shows a bunch of completions.  In 3.5, it just inserts a tab.

Can you help figure out why this happen?  Then we could fix the root of this bug.

Cheers,
Clément.

On 2016-10-26 21:34, Lukas Juhrich wrote:
> Hi,
> 
> On 10.09.2016 06:00, Clément Pit--Claudel wrote:
>> Does anyone object to the proposed fix?
>>
>> Clément.
>>
> 
> May I as a complete outsider to emacs development ask what the state
> on this is?  To me it looks like this just hasn't been done yet.
> 
> If having a patch file makes things easier, there is one attached; Let
> me know if I can help otherwise.
> 
> 
> --
> Sincerely,
> Lukas Juhrich
>